SOELIM(1)

NAME
soelim - interpret .so requests in groff input

SYNOPSIS
soelim [ -Crtv ] [ -Idir ] [ files... ]

It is possible to have whitespace between the -I command line option and its parameter.

DESCRIPTION
soelim reads files and replaces lines of the form

    .so file

by the contents of file. It is useful if files included with so need to be preprocessed. Normally, soelim should be invoked with the -s option of groff.

Note that there must be no whitespace between the leading dot and the two characters `s' and `o'. Otherwise, only groff interprets the .so request (and soelim ignores it).

OPTIONS

-C  Recognize .so even when followed by a character other than space or newline.

-Idir
    This option may be used to specify a directory to search for files (both those on the command line and those named in .so requests). The current directory is always searched first. This option may be specified more than once, the directories will be searched in the order specified. No directory search is performed for files specified using an absolute path.

-r  Do not add .lf requests (for general use, with non-groff files).

-t  Don't emit .lf requests but TeX comment lines (starting with `%') giving the current file and line number.

-v  Print the version number.

USAGE
The normal processing sequence of groff is this:

          input        sourced
          file          file
            |             |
            v             v
        preprocessor -> troff -> postprocessor
                                      |
                                      v
                                   output
                                    file

That is, files sourced with .so are normally read only by troff (the actual formatter). soelim is not required for troff to source files.

If a file to be sourced should also be preprocessed, it must already be read before the input file passes through the preprocessor. This is handled by soelim:

          input
          file
            |
            v
          soelim -> preprocessor -> troff -> postprocessor
            ^                                     |
            |                                     v
         sourced                               output
          file                                  file

SEE ALSO
groff(1)